Description

In my environment I have a single CA according to 

http://docs.puppetlabs.com/guides/scaling_multiple_masters.html#option-1-direct-agent-nodes-to-the-ca-master which foreman

supports very well. Now I'm running into the problem that the clients are in subnets that are unable (and undesired) to connect to the

central CA. I already set up a proxy according to 

http://docs.puppetlabs.com/guides/scaling_multiple_masters.html#option-2-proxy-certificate-traffic which works well manually. It

would be useful if foreman supported this better.

Possible areas:

Installer should be able to set up the CA proxy in the vhost

Installer should be able to set up auth.conf

Foreman support so you can still use <%= @host.puppet_ca_server %>

Related issues:

Related to Foreman - Feature #26164: Provide Puppet (CA) multi homing Closed

Blocks Katello - Tracker #8172: Isolate Client Communication through a Capsule New

Associated revisions

Revision 17ab2608 - 03/05/2014 04:58 AM - Ewoud Kohl van Wijngaarden

refs #4345: Add a server_ca_proxy

http://docs.puppetlabs.com/guides/scaling_multiple_masters.html#option-2-proxy-certificate-traffic

describes how to set up a proxy CA. This adds a parameter to set up the

ca proxy on the puppet master.

History

#1 - 02/17/2014 03:15 PM - Ewoud Kohl van Wijngaarden

For foreman support I wrote the following in my puppet.conf snippet (requires safe mode off):

ca_server = <%= @host.info['classes']['puppet']['ca_server'] rescue @host.puppet_ca_server %>

#2 - 02/25/2014 03:11 PM - Ewoud Kohl van Wijngaarden

Ewoud Kohl van Wijngaarden wrote:

Installer should be able to set up the CA proxy in the vhost

 https://github.com/theforeman/puppet-puppet/pull/138 should address this part.

#3 - 02/25/2014 04:24 PM - Ewoud Kohl van Wijngaarden

Ewoud Kohl van Wijngaarden wrote:

Installer should be able to set up auth.conf
 https://github.com/theforeman/puppet-puppet/pull/139 should address this part.

#4 - 03/05/2014 01:26 PM - Ewoud Kohl van Wijngaarden

https://github.com/theforeman/puppet-puppet/pull/138 and https://github.com/theforeman/puppet-puppet/pull/139 were merged.

#5 - 10/29/2014 01:05 PM - Eric Helms

- Blocks Tracker #8172: Isolate Client Communication through a Capsule added

#6 - 01/21/2015 07:54 AM - Stephen Benjamin

Based on a conversation on IRC -

The installer portion is done to configure the actual proxy, but Foreman needs to be made aware of the concept. Foreman must know to set

/etc/puppet/puppet.conf ca_server to the Smart Proxy, but to send the autosign request to the appropriate place.

#7 - 06/18/2015 11:56 AM - Stephen Benjamin

- Bugzilla link set to 1233302

#8 - 02/26/2019 03:07 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #26164: Provide Puppet (CA) multi homing added
